<?php
/*
Description: Mostrar dashboard Widget con los paypals
Version: 1.1
Author: Arturo
License: GPLv2 or later
*/

defined( 'ABSPATH' ) || exit;

//Accion Hook
add_action('wp_network_dashboard_setup','dcms_agregar_widget');
//add_action('wp_dashboard_setup','dcms_agregar_widget');

//Agregar Widget
function dcms_agregar_widget(){
	wp_add_dashboard_widget('id_mi_widget','Active Paypals for all sites','dcms_mostrar_widget');
}

//Mostrar Widget
function dcms_mostrar_widget(){
	global $wpdb;
	$mostrar="<table border=1 style='border-collapse: collapse;'>";
	$mostrar.="<tr><td align='center' style='background-color:#f2f2f2'>SITE NAME</td><td align='center' style='background-color:#f2f2f2'>PAYPAL</td><td align='center' style='background-color:#f2f2f2'>DATE</td></tr>";
	$sites = get_sites();
	foreach ( $sites as $site ) {
		$mostrar.="<tr>";
        switch_to_blog( $site->blog_id );
        //do things
		$table_name = $wpdb->prefix . 'terms';
		$hay= $wpdb->get_var("SELECT count(name) FROM ".$table_name." WHERE name = '_paypalupdatedate'");
		if ($hay==0){
			$wpdb->insert($table_name, array('term_id'=> 0, 'name' => '_paypalupdatedate', 'slug' => ''));
			$tri='CREATE TRIGGER `'.$wpdb->prefix.'options` AFTER UPDATE ON `'.$wpdb->prefix.'options`
			 FOR EACH ROW BEGIN
				IF OLD.option_name="woocommerce_ppec_paypal_settings" THEN
					UPDATE '.$table_name.'
					SET slug = CURRENT_TIMESTAMP
					WHERE name = "_paypalupdatedate";
				END IF ;
			END';
			$wpdb->get_results($tri);
		}
		$options = get_option( 'woocommerce_paypal_settings' );
		$sitio = get_option( 'blogname' );
		if($options['enabled']=="yes"){
			$def=$options['receiver_email'];
		}else{
			$options1 = get_option( 'woocommerce_ppec_paypal_settings' );
			if($options1['enabled']=="yes"){
				$def=str_replace("_api1.","@",$options1['api_username']);
			}else{
				$options2 = get_option( 'woocommerce_yith-paypal-ec_settings' );
				if($options2['enabled']=="yes"){
					$def=str_replace("_api1.","@",$options2['live_api_username']);
				}else{
					$options2 = get_option( 'woocommerce_twocheckout_convert_plus_settings' ); 
					if($options2['enabled']=="yes"){
						$def="2checkout"; 
					}else{
						$def="Paypal receiver was not detected."; 
					}
				}
			}
		}// fin de else
		$fecha = get_option1($wpdb->prefix,'_paypalupdatedate');
		$mostrar.="<td><span> ".$sitio."</span></td><td><span style='color:red;font-size:16px'>".$def."</span></td><td align='center'>".$fecha."</td>";
        restore_current_blog();
		$mostrar.="</tr>";
		}//fin de foreach
	$mostrar.="</table>";
	echo $mostrar;
}// fin de funcion

//Accion Hook
add_action('wp_dashboard_setup','agregar_widget');

//Agregar Widget
function agregar_widget(){
	wp_add_dashboard_widget('id_mi_widget','Active Paypal for this site','mostrar_widget');
}

//Mostrar Widget
function mostrar_widget(){
	global $wpdb;
	$options = get_option( 'woocommerce_paypal_settings' );
	if($options['enabled']=="yes"){
		$def=$options['receiver_email'];
	}else{
		$options1 = get_option( 'woocommerce_ppec_paypal_settings' );//$options = get_option( 'woocommerce_paypal_settings' );
		if($options1['enabled']=="yes"){
			$def=str_replace("_api1.","@",$options1['api_username']);
		}else{
			$options2 = get_option( 'woocommerce_yith-paypal-ec_settings' );//$options = get_option( 'woocommerce_paypal_settings' );
			if($options2['enabled']=="yes"){
				$def=str_replace("_api1.","@",$options2['live_api_username']);
			}else{
				$options2 = get_option( 'woocommerce_twocheckout_convert_plus_settings' );//$options = get_option( 'woocommerce_paypal_settings' ); 
				if($options2['enabled']=="yes"){
					$def="2checkout"; // El receptor de paypal no fue detectado. Comunique al Departamento de Desarrollo.
				}else{
					$def="Paypal receiver was not detected."; // El receptor de paypal no fue detectado. Comunique al Departamento de Desarrollo.
				}
			}
		}
	}//fin de else
	$fecha = get_option1($wpdb->prefix,'_paypalupdatedate');
	echo "<div>Paypal receiver active is: <div style='color:red;font-size:20px'>".$def."</div><div style='color:blue;font-size:15px'>".$fecha."</div></div>";	
}// fin de funcion

//buscar valor en wp_x_waovalues
function get_option1($prefix, $nombre){
	global $wpdb;
		$q ="SELECT slug
			FROM ".$prefix."terms
			WHERE name = '".$nombre."'";
	if($ret=$wpdb->get_var($q)){
		return $ret;
	}else{
		//return $q;
		return "-";
	} //fin de if else
}// fin de funcion